=== debian/changelog ===
pidgin-microblog (0.2.4-1ubuntu1) lucid; urgency=low

  * debian/control:
    - Add transitional package for pidgin-mbpurple (LP: #530660)
    - Add Replaces/Breaks on last version of pidgin-mbpurple in archive
  * Add pidgin-microblog.install while transitional package exists

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 14 Mar 2010 14:33:24 -0500

pidgin-microblog (0.2.4-1) unstable; urgency=low

  * Initial Release. (Closes: #532282)

 -- Karolina Kalic <karolina@janos.in.rs>  Sun, 13 Dec 2009 21:57:51 +0100
