=== debian/control ===
Source: pidgin-microblog
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Karolina Kalic <karolina@janos.in.rs>
Build-Depends: debhelper (>= 7), libpurple-dev, pidgin-dev
Standards-Version: 3.8.3

Package: pidgin-microblog
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: pidgin-mbpurple (<< 0.2.4-1)
Breaks: pidgin-mbpurple (<< 0.2.4-1)
Homepage: http://code.google.com/p/microblog-purple/
Description: Microblogging plugins for Pidgin
 Pidgin-microblog is a collection of plugins for Pidgin or any other
 libpurple based client like Adium or Finch. It implements microbloging
 systems to Pidgin. Currently it supports Twitter, Identi.ca, and Laconi.ca
 based servers through the conversation windows.

Package: pidgin-mbpurple
Architecture: all
Depends: pidgin-microblog, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package to ease the migration
 from the pidgin-mbpurple to the pidgin-microblog package.
 You can remove it safely.
