=== debian/watch ===
version=3
http://microblog-purple.googlecode.com/files/mbpurple-(.*)\.tar\.gz
