=== debian/changelog ===
pidgin-microblog (0.3.0-3) unstable; urgency=low

  * Added -dbg package (thanks to Guido Trotter)

 -- Karolina Kalic <karolina@resenje.org>  Sun, 14 Aug 2011 00:18:55 +0200

pidgin-microblog (0.3.0-2) unstable; urgency=low

  * Updated Standards-Version to 3.9.2.
  * Corrected debian/watch, now it finally works.
  * Added debian/docs.
  * debian/compat
    - update debhelper compatibility to 8.
  * Changed my email address.
  * Updated copyright to DEP5 format.
  * Changed version of debhelper in Build-Depends to >= 8.0.0.

 -- Karolina Kalic <karolina@resenje.org>  Mon, 08 Aug 2011 18:17:52 +0200

pidgin-microblog (0.3.0-1) unstable; urgency=low

  * New upstream release.
  * Updated Standards-Version to 3.8.4.
  * Updated debian/watch.
  * Changed long description.
  
 -- Karolina Kalic <karolina@janos.in.rs>  Tue, 01 Jun 2010 16:47:05 +0200
 
