=== debian/control ===
Source: pidgin-microblog
Section: net
Priority: optional
Maintainer: Karolina Kalic <karolina@resenje.org>
Build-Depends: debhelper (>= 8.0.0), libpurple-dev, pidgin-dev
Standards-Version: 3.9.2

Package: pidgin-microblog
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Homepage: http://code.google.com/p/microblog-purple/
Description: Microblogging plugins for Pidgin
 Pidgin-microblog is a collection of plugins for Pidgin or any other
 libpurple based client like Adium or Finch. It implements microbloging
 systems to Pidgin. Currently it supports Twitter, Identi.ca, and Status.net
 (old Laconi.ca) based servers through the conversation windows.

Package: pidgin-microblog-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, pidgin-microblog (= ${binary:Version})
Homepage: http://code.google.com/p/microblog-purple/
Description: Microblogging plugins for Pidgin (debugging symbols)
 Pidgin-microblog is a collection of plugins for Pidgin or any other
 libpurple based client like Adium or Finch. It implements microbloging
 systems to Pidgin. Currently it supports Twitter, Identi.ca, and Status.net
 (old Laconi.ca) based servers through the conversation windows.
 .
 This package contains the debugging symbols for pidgin-microblog.
