=== debian/rules ===
#!/usr/bin/make -f

.PHONY: override_dh_strip override_dh_installdocs override_dh_auto_install
override_dh_strip:
	dh_strip --dbg-package=pidgin-microblog-dbg
override_dh_installdocs:
	dh_installdocs --link-doc=pidgin-microblog
override_dh_auto_install:
	dh_auto_install --destdir=debian/pidgin-microblog

%:
	dh  $@
