=== debian/watch ===
version=3

http://code.google.com/p/microblog-purple/ \
	//microblog-purple.googlecode.com/files/mbpurple-(.+).tar.gz
